#ifndef COMMAND_H
#define COMMAND_H

/****************************************************************

    Copyright (c) 1996-1997 Fred Pesch

    This program is free software; you can redistribute it 
    and/or modify it under the terms of the GNU General 
    Public License as published by the Free Software 
    Foundation (version 2 of the License).

    This program is distributed in the hope that it will 
    be useful, but WITHOUT ANY WARRANTY; without even the 
    implied warranty of MERCHANTABILITY or FITNESS FOR A 
    PARTICULAR PURPOSE.  See the GNU General Public License 
    for more details.

    For a copy of the GNU General Public License, write to the 
    Free Software Foundation, Inc., 675 Mass Ave, Cambridge, 
    MA 02139, USA.

****************************************************************/

#include "dialogs.h"

extern void FileCopyCommandRoutine(char *SourceDirectory, char *DestDirectory, TCopyFlags flags);

extern void FileMoveCommandRoutine(char *SourceDirectory, char *DestDirectory, TMoveFlags flags);

extern void FileDeleteCommandRoutine(char *SourceDirectory, TDeleteFlags flags);

extern void FileRenameCommandRoutine(char *SourceFile, char *Destfile);

extern void FileAttributesCommandRoutine(char *SourceFile, TAttributesFlags flags);

extern void FileCreateCommandRoutine(char *DestFile, Bool makedir);

extern void FileExecCommandRoutine(char *program, char *arguments, Bool needxterm);

extern void FileViewCommandRoutine(void);

extern void FileEditCommandRoutine(void);

extern void ArchiveTarCommandRoutine(char *DestFile, TTarFlags flags);

extern void ArchiveUnTarCommandRoutine(char *DestFile, int gunzip);

extern void ArchiveGZipCommandRoutine(TGZipFlags flags);

extern void ArchiveGZipCommandRoutine(TGZipFlags flags);

extern void ArchiveEncodeCommandRoutine(char *NameFile, char *DestFile);

extern void ArchiveDecodeCommandRoutine(char *DestFile);

extern void ArchiveSplitCommandRoutine(TSplitFlags flags);

extern void ArchiveUnSplitCommandRoutine(int nbfiles, char **sourcefiles, char *destfile);

extern void DropCommandRoutine(void);

extern void UserMenuCommandRoutine(char *command);

extern void InitModuleCommand(void);

#endif
